As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 570388 - SeaMonkey doesn't invoke PlacesDBUtils
: SeaMonkey doesn't invoke PlacesDBUtils
Status: RESOLVED FIXED
[Superseded by bug 605503]
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
Depends on: 605503
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 02:05 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2011-01-29 23:20 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image :Gavin Sharp [email: gavin@gavinsharp.com] 2010-06-06 02:05:08 PDT
I don't actually know whether this is a problem or not, but I noticed that SeaMonkey does not invoke PlacesDBUtils, while Firefox does. Should it?

(see also bug 570387, which would make this moot)
Comment 1 User image Robert Kaiser 2010-06-07 12:39:31 PDT
I'm also not sure if it is a problem, need to investigate what it even does, but the relevant line is in delayedStartup(), see http://mxr.mozilla.org/comm-central/source/mozilla/browser/base/content/browser.js#1383

How did you find out about that, just out of interest?
Comment 2 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2010-06-07 13:16:21 PDT
I was looking into it while filing bug 570387. Firefox was the only toolkit user invoking this code, which seemed odd to me. Potentially a problem for Fennec too, I guess.
Comment 3 User image Marco Bonardo [::mak] 2010-06-07 13:28:07 PDT
it was added originally to address corruption issues in alpha versions of Firefox, and that explains why projects integrating Places later do not have it.
Bug 570387 would solve the FX-only issue, but i'm not sure all implementers will want it, it runs on idle and can execute some heavy task, not something we can do on mobile.
Sure, right now it could also help finding some corruption caused by weave or other extensions, so it is sensible.
Comment 4 User image Serge Gautherie (:sgautherie) 2011-01-29 23:20:56 PST
(In reply to comment #0)
> (see also bug 570387, which would make this moot)

(FF) Bug 570387 was ported in (SM) bug 605503 :-)

Note You need to log in before you can comment on or make changes to this bug.